"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinearGradient = void 0;
const React = __importStar(require("react"));
const PropTypes = __importStar(require("prop-types"));
const props_1 = require("./props");
const propTypes = {
    x1: props_1.numberProp.isRequired,
    x2: props_1.numberProp.isRequired,
    y1: props_1.numberProp.isRequired,
    y2: props_1.numberProp.isRequired,
    gradientUnits: PropTypes.oneOf(['objectBoundingBox', 'userSpaceOnUse']),
    id: PropTypes.string.isRequired,
    children: PropTypes.node,
};
class LinearGradient extends React.Component {
    render() {
        const _a = this.props, { children } = _a, rest = __rest(_a, ["children"]);
        return React.createElement("svg_linearGradient", Object.assign({}, rest), children);
    }
}
exports.LinearGradient = LinearGradient;
LinearGradient.propTypes = propTypes;
LinearGradient.defaultProps = {
    x1: '0%',
    y1: '0%',
    x2: '100%',
    y2: '0%',
};
