"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = exports.TextPropTypes = void 0;
const React = __importStar(require("react"));
const PropTypes = __importStar(require("prop-types"));
const airbnb_prop_types_1 = require("airbnb-prop-types");
const stylesheet_1 = require("../stylesheet");
const TextStylePropTypes_1 = require("./TextStylePropTypes");
const View_1 = require("./View");
exports.TextPropTypes = Object.assign(Object.assign({}, View_1.ViewPropTypes), { style: airbnb_prop_types_1.or([PropTypes.shape(TextStylePropTypes_1.TextStylePropTypes), PropTypes.number]) });
/**
 * @example
 * <Text name='Foo' style={style}>
 *   Hello World!
 * </Text>
 */
class Text extends React.Component {
    render() {
        return (React.createElement("sketch_text", { name: this.props.name, style: stylesheet_1.StyleSheet.flatten(this.props.style), resizingConstraint: this.props.resizingConstraint }, this.props.children));
    }
}
exports.Text = Text;
Text.propTypes = exports.TextPropTypes;
