"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ViewStylePropTypes = exports.Overflow = exports.Color = exports.BorderStyle = void 0;
const PropTypes = __importStar(require("prop-types"));
exports.BorderStyle = PropTypes.oneOf([
    'solid',
    'dotted',
    'dashed',
]);
exports.Color = PropTypes.oneOfType([PropTypes.string, PropTypes.number]);
exports.Overflow = PropTypes.oneOf([
    'visible',
    'hidden',
    'scroll',
]);
exports.ViewStylePropTypes = {
    display: PropTypes.oneOf(['flex', 'none']),
    color: exports.Color,
    shadowColor: exports.Color,
    shadowInner: PropTypes.bool,
    shadowSpread: PropTypes.number,
    shadowOffset: PropTypes.shape({
        width: PropTypes.number,
        height: PropTypes.number,
    }),
    shadowOpacity: PropTypes.number,
    shadowRadius: PropTypes.number,
    width: PropTypes.number,
    height: PropTypes.number,
    top: PropTypes.number,
    left: PropTypes.number,
    right: PropTypes.number,
    bottom: PropTypes.number,
    minWidth: PropTypes.number,
    maxWidth: PropTypes.number,
    minHeight: PropTypes.number,
    maxHeight: PropTypes.number,
    margin: PropTypes.number,
    marginVertical: PropTypes.number,
    marginHorizontal: PropTypes.number,
    marginTop: PropTypes.number,
    marginBottom: PropTypes.number,
    marginLeft: PropTypes.number,
    marginRight: PropTypes.number,
    padding: PropTypes.number,
    paddingVertical: PropTypes.number,
    paddingHorizontal: PropTypes.number,
    paddingTop: PropTypes.number,
    paddingBottom: PropTypes.number,
    paddingLeft: PropTypes.number,
    paddingRight: PropTypes.number,
    position: PropTypes.oneOf(['absolute', 'relative']),
    flexDirection: PropTypes.oneOf([
        'row',
        'row-reverse',
        'column',
        'column-reverse',
    ]),
    flexWrap: PropTypes.oneOf(['wrap', 'nowrap', 'wrap-reverse']),
    justifyContent: PropTypes.oneOf(['flex-start', 'flex-end', 'center', 'space-between', 'space-around']),
    alignContent: PropTypes.oneOf([
        'flex-start',
        'flex-end',
        'center',
        'space-between',
        'space-around',
        'stretch',
        'baseline',
        'auto',
    ]),
    alignItems: PropTypes.oneOf([
        'flex-start',
        'flex-end',
        'center',
        'stretch',
        'baseline',
    ]),
    alignSelf: PropTypes.oneOf(['auto', 'flex-start', 'flex-end', 'center', 'stretch', 'baseline']),
    overflow: exports.Overflow,
    overflowX: exports.Overflow,
    overflowY: exports.Overflow,
    flex: PropTypes.number,
    flexGrow: PropTypes.number,
    flexShrink: PropTypes.number,
    flexBasis: PropTypes.number,
    aspectRatio: PropTypes.number,
    zIndex: PropTypes.number,
    backfaceVisibility: PropTypes.oneOf(['visible', 'hidden']),
    backgroundColor: exports.Color,
    borderColor: exports.Color,
    borderTopColor: exports.Color,
    borderRightColor: exports.Color,
    borderBottomColor: exports.Color,
    borderLeftColor: exports.Color,
    borderRadius: PropTypes.number,
    borderTopLeftRadius: PropTypes.number,
    borderTopRightRadius: PropTypes.number,
    borderBottomLeftRadius: PropTypes.number,
    borderBottomRightRadius: PropTypes.number,
    borderStyle: exports.BorderStyle,
    borderTopStyle: exports.BorderStyle,
    borderRightStyle: exports.BorderStyle,
    borderBottomStyle: exports.BorderStyle,
    borderLeftStyle: exports.BorderStyle,
    borderWidth: PropTypes.number,
    borderTopWidth: PropTypes.number,
    borderRightWidth: PropTypes.number,
    borderBottomWidth: PropTypes.number,
    borderLeftWidth: PropTypes.number,
    opacity: PropTypes.number,
    transform: PropTypes.string,
    transformOrigin: PropTypes.string,
};
