"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImageDataFromURL = void 0;
const js_sha1_1 = __importDefault(require("js-sha1"));
exports.getImageDataFromURL = (bridge) => (url) => {
    const data = bridge.makeImageDataFromUrl(url);
    return {
        data,
        sha1: js_sha1_1.default(data),
    };
};
