"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.layerGroup = void 0;
const sketch_file_format_ts_1 = require("@sketch-hq/sketch-file-format-ts");
const resizeConstraint_1 = require("./resizeConstraint");
const models_1 = require("./models");
const style_1 = require("./style");
exports.layerGroup = (x, y, width, height, opacity, resizingConstraint) => ({
    _class: 'group',
    do_objectID: models_1.generateID(),
    exportOptions: {
        _class: 'exportOptions',
        exportFormats: [],
        includedLayerIds: [],
        layerOptions: 0,
        shouldTrim: false,
    },
    frame: models_1.makeRect(x, y, width, height),
    isFlippedHorizontal: false,
    isFlippedVertical: false,
    isLocked: false,
    isVisible: true,
    layerListExpandedType: sketch_file_format_ts_1.FileFormat1.LayerListExpanded.Expanded,
    name: 'Group',
    nameIsFixed: false,
    resizingConstraint: resizeConstraint_1.makeResizeConstraint(resizingConstraint),
    resizingType: sketch_file_format_ts_1.FileFormat1.ResizeType.Stretch,
    rotation: 0,
    shouldBreakMaskChain: false,
    style: style_1.makeStyle({ opacity }),
    hasClickThrough: false,
    layers: [],
    booleanOperation: sketch_file_format_ts_1.FileFormat1.BooleanOperation.NA,
    isFixedToViewport: false,
});
