"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeCurvePoint = exports.describePoint = void 0;
function describePoint(point) {
    const { x, y } = point;
    return `{${x}, ${y}}`;
}
exports.describePoint = describePoint;
function makeCurvePoint(point, curveFrom, curveTo, curveMode) {
    return {
        _class: 'curvePoint',
        cornerRadius: 0,
        curveFrom: describePoint(curveFrom || point),
        curveMode: curveMode || 0,
        curveTo: describePoint(curveTo || point),
        hasCurveFrom: !!curveFrom,
        hasCurveTo: !!curveTo,
        point: describePoint(point),
    };
}
exports.makeCurvePoint = makeCurvePoint;
