var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as PropTypes from 'prop-types';
import { ViewStylePropTypes, Color } from './ViewStylePropTypes';
export var TextStylePropTypes = __assign(__assign({}, ViewStylePropTypes), { fontFamily: PropTypes.string, fontSize: PropTypes.number, fontStyle: PropTypes.oneOf(['normal', 'italic']), fontWeight: PropTypes.oneOfType([PropTypes.string, PropTypes.number]), textDecoration: PropTypes.oneOf([
        'none',
        'underline',
        'double',
        'line-through',
    ]), textShadowOpacity: PropTypes.number, textShadowSpread: PropTypes.number, textShadowOffset: PropTypes.shape({ width: PropTypes.number, height: PropTypes.number }), textShadowRadius: PropTypes.number, textShadowColor: Color, textTransform: PropTypes.oneOf(['uppercase', 'lowercase']), letterSpacing: PropTypes.number, lineHeight: PropTypes.number, textAlign: PropTypes.oneOf([
        'auto',
        'left',
        'right',
        'center',
        'justify',
    ]), paragraphSpacing: PropTypes.number, writingDirection: PropTypes.oneOf(['auto', 'ltr', 'rtl']) });
