import { FileFormat1 as FileFormat } from '@sketch-hq/sketch-file-format-ts';
import { TextNode, TextStyle, ViewStyle, PlatformBridge } from '../types';
export declare const TEXT_DECORATION_UNDERLINE: {
    [key: string]: number;
};
export declare const TEXT_ALIGN: {
    [key: string]: number;
};
export declare const TEXT_DECORATION_LINETHROUGH: {
    [key: string]: number;
};
export declare const TEXT_TRANSFORM: {
    [key: string]: number;
};
export declare const FONT_STYLES: {
    [key: string]: boolean;
};
export declare const makeTextStyle: (bridge: PlatformBridge) => (style: TextStyle, shadows?: (ViewStyle | null | undefined)[] | null | undefined) => FileFormat.Style;
export declare const parseTextStyle: (json: FileFormat.Style) => TextStyle;
export declare const makeTextLayer: (bridge: PlatformBridge) => (frame: FileFormat.Rect, name: string, textNodes: TextNode[], _style: ViewStyle, resizingConstraint?: any, shadows?: (ViewStyle | null | undefined)[] | null | undefined) => FileFormat.Text;
