function isNaN(num) {
    // If the value is obj-c NaN, the only way to check for it is by comparing
    // width to itself (because NaN !== NaN)
    // eslint-disable-next-line no-self-compare
    return Number.isNaN(num) || num !== num;
}
export var createStringMeasurer = function (bridge) { return function (textNodes) { return function (width) {
    if (width === void 0) { width = 0; }
    var sanitizedWidth = isNaN(width) ? 0 : width;
    return textNodes.length > 0
        ? bridge.createStringMeasurer(textNodes, sanitizedWidth)
        : { width: sanitizedWidth, height: 0 };
}; }; };
