"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zIndex = void 0;
// Sort z-index values lowest to highest
exports.zIndex = (nodes) => nodes
    .map((node, index) => {
    if (typeof node === 'string') {
        return node;
    }
    return Object.assign(Object.assign({}, node), { oIndex: index });
})
    .sort((a, b) => {
    const aIndex = typeof a === 'string'
        ? 0
        : a.props && a.props.style && a.props.style.zIndex
            ? a.props.style.zIndex
            : 0;
    const bIndex = typeof b === 'string'
        ? 0
        : b.props && b.props.style && b.props.style.zIndex
            ? b.props.style.zIndex
            : 0;
    return aIndex - bIndex;
});
